<script src="app-assets/js/basic-inputs.js" type="text/javascript"></script>
<script src="app-assets/vendors/js/jqBootstrapValidation.js" type="text/javascript"></script>
<script src="app-assets/js/form-validation.js" type="text/javascript"></script>
<script src="app-assets/vendors/js/switchery.min.js" type="text/javascript"></script>
<script src="app-assets/js/switch.min.js" type="text/javascript"></script>

<div class="content-wrapper" ng-controller="locadoraNovaController as locadoraNovaCtrl">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-header">Nova Locadora</div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-content">
                    <div class="px-3">
                        <form class="form-horizontal" ng-submit="locadoraNovaCtrl.add()" novalidate>
                            <div class="form-body">
                                <!-- Fotos -->
                                <h4 class="form-section"><i class="ft-user"></i> Fotos</h4>
                                <div class="row">
                                    <div style="margin-left: 67px" class="col-md-1 col-12">
                                    </div>
                                    <div class="col-md-6 col-12">
                                        <img width="480" height="360" id="img"
                                            ng-src="{{'data:image/png;base64,'+ locadoraNovaCtrl.locadora.foto}}"
                                            alt="locadora" />
                                    </div>
                                </div>
                                </br></br></br>
                                <div class="row">
                                    <div class="col-lg-6 col-md-12">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text" id="inputGroupFileAddon01">Upload</span>
                                            </div>
                                            <div class="custom-file" fileread="locadoraNovaCtrl.foto" select-ng-files
                                                ng-model="fileArray">
                                                <div class="form-group">
                                                    <div class="controls mb-1">
                                                        <input type="file" class="custom-file-input"
                                                            id="inputGroupFile01"
                                                            aria-describedby="inputGroupFileAddon01" accept=".jpg,.png">
                                                    </div>
                                                </div>
                                                <label class="custom-file-label" for="inputGroupFile01">Selecione
                                                    uma foto</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Sobre -->
                                <h4 class="form-section"><i class="ft-info"></i> Sobre</h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="nome">Razão Social:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="razaoSocial" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.razaoSocial"
                                                        class="form-control" name="razaoSocial">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="cpf">Nome Fantasia:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="nomeFantasia" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.nomeFantasia"
                                                        class="form-control" name="nomeFantasia">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Cnpj:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="cnpj" required mask="99.999.999/9999-99"
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.cnpj" class="form-control"
                                                        name="cnpj">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Nome Responsavel:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="cnpj" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.nomeResponsavel"
                                                        class="form-control" name="cnpj">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">

                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="switchery">Ativo:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="form-group">
                                                    <div>
                                                        <input ng-model="locadoraNovaCtrl.check" type="checkbox"
                                                            id="switchery" class="switchery" checked />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Contato -->
                                <h4 class="form-section"><i class="ft-mail"></i> Contato</h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="telefone">Telefone: </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input class="form-control" required mask="(99) 9999-9999"
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.telefone" id="telefone">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="email">Email: </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input class="form-control" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.email" type="email"
                                                        id="email">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Localização -->
                                <h4 class="form-section"><i class="ft-info"></i> Localização</h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="nome">Latitude:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="latitude" class="form-control" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.latitude"
                                                        class="form-control" name="latitude">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="cpf">Longitude:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="longitude" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.longitude"
                                                        class="form-control" name="longitude">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Endereço:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="endereco" required
                                                        data-validation-required-message="Obrigatório"
                                                        ng-model="locadoraNovaCtrl.locadora.endereco"
                                                        class="form-control" name="endereco">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-actions right">
                                <button type="button" ng-click="locadoraNovaCtrl.cancelar()"
                                    class="btn btn-raised btn-warning mr-1">
                                    <i class="ft-x"></i> Cancelar
                                </button>
                                <button type="submit" class="btn btn-raised btn-primary">
                                    <i class="fa fa-check-square-o"></i> Salvar
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>